<?php

/* --------------------------------------------------------------
  PurposeDataTransferObjectInterface.php 2020-01-10
  Gambio GmbH
  http://www.gambio.de
  Copyright (c) 2020 Gambio GmbH
  Released under the GNU General Public License (Version 2)
  [http://www.gnu.org/licenses/gpl-2.0.html]
  --------------------------------------------------------------*/
namespace Gambio\CookieConsentPanel\Services\Purposes\Interfaces;

/**
 * Interface PurposeDataTransferObjectInterface
 * @package Gambio\CookieConsentPanel\Services\Purposes\Interfaces
 */
interface PurposeDtoInterface
{
    /**
     * @return int
     */
    public function categoryId();
    /**
     * @param int $languageId
     *
     * @return string
     */
    public function description($languageId);
    /**
     * @return array
     */
    public function descriptions();
    /**
     * @return array
     */
    public function categoryNames();
    /**
     * @param int $languageId
     *
     * @return string
     */
    public function categoryName($languageId);
    /**
     * @return array
     */
    public function names();
    /**
     * @param int $languageId
     *
     * @return string
     */
    public function name($languageId);
    /**
     * @return bool
     */
    public function status();
    /**
     * @return bool
     */
    public function deletable();
    /**
     * @return string
     */
    public function alias();
    /**
     * @return int
     */
    public function id();
}